Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: Can't remove packages with zypper

  1. #11

    Default Re: Can't remove packages with zypper

    and when I try to unistall them

    Code:
     root  ~  zypper remove 'kube*'                                                                                                                                                                                                                       104
    Reading installed packages...
    Resolving package dependencies...
    
    
    The following 16 packages are going to be REMOVED:
      cri-o-kubeadm-criconfig kubernetes-apiserver kubernetes-client kubernetes-coredns kubernetes-etcd kubernetes-kubeadm kubernetes-kubelet kubernetes-proxy kubernetes1.22-kubelet kubernetes1.23-apiserver kubernetes1.23-client kubernetes1.23-client-common
      kubernetes1.23-kubeadm kubernetes1.23-kubelet kubernetes1.23-kubelet-common kubernetes1.23-proxy
    
    
    16 packages to remove.
    After the operation, 624.0 MiB will be freed.
    Continue? [y/n/v/...? shows all options] (y): y
    error: package kubernetes-apiserver-1.23.0-22.3.x86_64 is not installed
    ( 1/16) Removing kubernetes-apiserver-1.23.0-22.3.x86_64 ..............................................................................................................................................................................................[error]
    Removal of (216)kubernetes-apiserver-1.23.0-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-client-1.23.0-22.3.x86_64 is not installed
    ( 2/16) Removing kubernetes-client-1.23.0-22.3.x86_64 .................................................................................................................................................................................................[error]
    Removal of (217)kubernetes-client-1.23.0-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-coredns-1.8.6-22.3.x86_64 is not installed
    ( 3/16) Removing kubernetes-coredns-1.8.6-22.3.x86_64 .................................................................................................................................................................................................[error]
    Removal of (218)kubernetes-coredns-1.8.6-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-etcd-3.5.1-22.3.x86_64 is not installed
    ( 4/16) Removing kubernetes-etcd-3.5.1-22.3.x86_64 ....................................................................................................................................................................................................[error]
    Removal of (219)kubernetes-etcd-3.5.1-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-kubeadm-1.23.0-22.3.x86_64 is not installed
    ( 5/16) Removing kubernetes-kubeadm-1.23.0-22.3.x86_64 ................................................................................................................................................................................................[error]
    Removal of (220)kubernetes-kubeadm-1.23.0-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-kubelet-1.23.0-22.3.x86_64 is not installed
    ( 6/16) Removing kubernetes-kubelet-1.23.0-22.3.x86_64 ................................................................................................................................................................................................[error]
    Removal of (221)kubernetes-kubelet-1.23.0-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    error: package kubernetes-proxy-1.23.0-22.3.x86_64 is not installed
    ( 7/16) Removing kubernetes-proxy-1.23.0-22.3.x86_64 ..................................................................................................................................................................................................[error]
    Removal of (222)kubernetes-proxy-1.23.0-22.3.x86_64(@System) failed:
    Error: Subprocess failed. Error: RPM failed: Command exited with status 1.
    Abort, retry, ignore? [a/r/i] (a): i
    ( 8/16) Removing kubernetes1.23-apiserver-1.23.0-3.2.x86_64 ............................................................................................................................................................................................[done]
    ( 9/16) Removing kubernetes1.23-client-1.23.0-3.2.x86_64 ...............................................................................................................................................................................................[done]
    (10/16) Removing kubernetes1.23-kubeadm-1.23.0-3.2.x86_64 ..............................................................................................................................................................................................[done]
    (11/16) Removing kubernetes1.23-proxy-1.23.0-3.2.x86_64 ................................................................................................................................................................................................[done]
    update-alternatives: warning: alternative /usr/bin/kubectl1.23 (part of link group kubectl) doesn't exist; removing from list of alternatives
    (12/16) Removing kubernetes1.23-client-common-1.23.0-3.2.x86_64 ........................................................................................................................................................................................[done]
    (13/16) Removing cri-o-kubeadm-criconfig-1.22.0-1.5.x86_64 .............................................................................................................................................................................................[done]
    (14/16) Removing kubernetes1.22-kubelet-1.22.4-2.4.x86_64 ..............................................................................................................................................................................................[done]
    (15/16) Removing kubernetes1.23-kubelet-1.23.0-3.2.x86_64 ..............................................................................................................................................................................................[done]
    (16/16) Removing kubernetes1.23-kubelet-common-1.23.0-3.2.x86_64 .....<5%>=================================================================================================================================================================================[/](16/16) Removing kubernetes1.23-kubelet-common-1.23.0-3.2.x86_64 .......................................................................................................................................................................................[done]
    There are running programs which still use files and libraries deleted or updated by recent upgrades. They should be restarted to benefit from the latest updates. Run 'zypper ps -s' to list these programs.
    [/noparse]

    So I end up with this again

    Code:
     root  ~  zypper se -si '/^kube/'
    Loading repository data...
    Reading installed packages...
    
    
    S  | Name                 | Type    | Version     | Arch   | Repository
    ---+----------------------+---------+-------------+--------+----------------------
    i+ | kubernetes-apiserver | package | 1.23.0-22.3 | x86_64 | Main Repository (OSS)
    i+ | kubernetes-apiserver | package | 1.23.0-22.3 | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-client    | package | 1.23.0-22.3 | x86_64 | Main Repository (OSS)
    i+ | kubernetes-client    | package | 1.23.0-22.3 | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-coredns   | package | 1.8.6-22.3  | x86_64 | Main Repository (OSS)
    i+ | kubernetes-coredns   | package | 1.8.6-22.3  | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-etcd      | package | 3.5.1-22.3  | x86_64 | Main Repository (OSS)
    i+ | kubernetes-etcd      | package | 3.5.1-22.3  | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-kubeadm   | package | 1.23.0-22.3 | x86_64 | Main Repository (OSS)
    i+ | kubernetes-kubeadm   | package | 1.23.0-22.3 | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-kubelet   | package | 1.23.0-22.3 | x86_64 | Main Repository (OSS)
    i+ | kubernetes-kubelet   | package | 1.23.0-22.3 | x86_64 | openSUSE-20220310-0
    i+ | kubernetes-proxy     | package | 1.23.0-22.3 | x86_64 | Main Repository (OSS)
    i+ | kubernetes-proxy     | package | 1.23.0-22.3 | x86_64 | openSUSE-20220310-0
    [/noparse]

  2. #12
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    30,967

    Default Re: Can't remove packages with zypper

    As you see manyfold in your listings, all of those packages are mentioned twice, everytime for two dfferent repositories. Thus it seems that your list of repositories is not as it should be. So please post
    Code:
    zypper lr -dU
    for inspection.
    Henk van Velden

  3. #13
    Join Date
    Sep 2012
    Posts
    7,870

    Default Re: Can't remove packages with zypper

    Quote Originally Posted by arvidjaar View Post
    Start with showing
    Code:
    rpm -qa kube\*
    You ignored this.
    Quote Originally Posted by lmva View Post
    Code:
    error: package kubernetes-apiserver-1.23.0-22.3.x86_64 is not installed
    ( 1/16) Removing kubernetes-apiserver-1.23.0-22.3.x86_64 ..............................................................................................................................................................................................[error]
    Removal of (216)kubernetes-apiserver-1.23.0-22.3.x86_64(@System) failed:
    Somehow it attempts to remove packages with the wrong name - it has extra "(216)" at the beginning. It is unclear whether this is zypper or RPM issue. As you ignored my request, we still do not know what RPM believes is installed.

Page 2 of 2 FirstFirst 12

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •